{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "f4064408",
   "metadata": {},
   "source": [
    "# Программа моделирования теплопереноса в грунте"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "8c7b13c5",
   "metadata": {},
   "source": [
    "## Описание программы"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "b707f927",
   "metadata": {},
   "source": [
    "Цель программы - моделирование процессов теплопереноса в вечномёрзлых грунтах "
   ]
  },
  {
   "cell_type": "markdown",
   "id": "409822d6",
   "metadata": {},
   "source": [
    "## Методика работы программы"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "5b921d53",
   "metadata": {},
   "source": [
    "Даны: \n",
    "- Попереченый профиль автомобильной дороги, который представляет собой трапецию, которая большим своим основанием лежит на вечномерзлом грунте. \n",
    "- Геометрические размеры трапеции\n",
    "- Параметры грунта\n",
    "- Шаг интерполяции\n",
    "- Квант времени моделирования\n",
    "\n",
    "Требуется:\n",
    "- За задаваемый квант времени провести моделирование теплопереноса в вечномёрзлом грунте\n",
    "- Путём интерполяции края трапеции превратиить в прямоугольники\n",
    "\n",
    "Алгоритим работ программы.\n",
    "1. Вводимые данные: \n",
    "\n",
    "    \n",
    "$\n",
    "\\begin{align}\n",
    "W_{tot}\n",
    "\\end{align}\n",
    "$\n",
    "    - суммарная влажность мёрзлого грунта\n",
    "        \n",
    "$\n",
    "\\begin{align}\n",
    "W_{m}\n",
    "\\end{align}\n",
    "$\n",
    "    - влажность мёрзлого грунта, расположенного между ледяными включениями \n",
    "    \n",
    "$\n",
    "\\begin{align}\n",
    "i_{tot}\n",
    "\\end{align}\n",
    "$\n",
    "    - суммарная льдистость мёрзлого грунтагрунта\n",
    "    \n",
    " \n",
    "\n",
    "$\n",
    "\\begin{align}\n",
    "D_{sal}\n",
    "\\end{align}\n",
    "$\n",
    "    - соленость грунта  грунта\n",
    "    \n",
    "- sdad    \n",
    "\n",
    "$\n",
    "\\begin{align}\n",
    "Typ_g\n",
    "    \\end{align}\n",
    "$\n",
    "    -  Неизвестная величина\n",
    "    \n",
    "$\n",
    "\\begin{align}\n",
    "\\rho\n",
    "    \\end{align}\n",
    "$\n",
    "    - В теории плотность \n",
    "\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "dc2f344d",
   "metadata": {},
   "source": [
    "### Необходимо вычислить\n",
    "\n",
    "$\n",
    "\\begin{align}\n",
    "C_{ps} = \\frac{D_{sal}}{D_{sal} + 100 * W} \n",
    "\\end{align}\n",
    "$\n",
    "    - Концентрация порового раствора\n",
    "    \n",
    "    \n",
    "Теплофизические параметры грунта берутся по таблице Б6. То есть тип грунта надо вывести в выбор интерфейса."
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.10.9"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
